VisualEditor: Categories with colons in their name do not display properly in the meta-data dialog
Closed, ResolvedPublic

Description

If you look at page settings under https://sv.wikipedia.org/wiki/Violin?veaction=edit you'll see the category "Wikipedia". This is actually Kategori:Wikipedia:Basartiklar if you look at the page source; it seems the VE isn't including category elements that are preceded by a colon.


Version: unspecified
Severity: normal

bzimport set Reference to bz51902.
Ironholds created this task.Via LegacyJul 23 2013, 6:36 PM
Whatamidoing-WMF added a comment.Via ConduitJul 24 2013, 4:24 PM

This style of category name also appears at de.wikipedia, e.g., [[:de:Kategorie:Wikipedia:Schnelllöschen]].

gerritbot added a comment.Via ConduitJul 25 2013, 12:54 PM

Change 75859 had a related patch set uploaded by Esanders:
Parse category names correctly

https://gerrit.wikimedia.org/r/75859

gerritbot added a comment.Via ConduitJul 25 2013, 6:16 PM

Change 75859 merged by jenkins-bot:
Parse category names correctly

https://gerrit.wikimedia.org/r/75859

Jdforrester-WMF added a comment.Via ConduitJul 25 2013, 7:18 PM

Now fixed in master.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.